Forms
Get form analytics
Returns one form’s completion counts, its responses per month for the last two years, and the elements that collect answers. Returns 404 when the form isn’t one of your company’s.
GET
/
api
/
forms
/
{id}
/
analytics
Get form analytics
curl --request GET \
--url https://api.fluid.app/api/forms/{id}/analytics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/forms/{id}/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/forms/{id}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/forms/{id}/analytics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/forms/{id}/analytics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/forms/{id}/analytics")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/forms/{id}/analytics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 4130,
"title": "Customer survey - Fall 2026",
"description": "Tell us how your last Dunder Mifflin paper order went.",
"updated_at": "2026-08-03T13:10:05Z",
"status": "active",
"form_type": null,
"form_statistics": {
"total_respondents": 48,
"completed_count": 41,
"incomplete_count": 5,
"completion_rate": 85.42,
"completion_percentage": "85.42%"
},
"monthly_response_analytics": {
"2026": {
"august": 19,
"september": 21,
"october": 8
}
},
"form_elements": [
{
"id": 18341,
"form_id": 4130,
"is_form_field": true,
"metadata": {
"element_type": "multiple_choice_entry",
"puck_type": "multiple_choice_entry",
"label": "How did you hear about Dunder Mifflin?",
"required": false,
"sensitive_info": false,
"is_form_field": true,
"multiple_choice_options": [
{
"label": "Social media"
},
{
"label": "A friend or family member"
},
{
"label": "A rep"
},
{
"label": "Search"
},
{
"label": "An event"
},
{
"label": "Other"
}
]
},
"position": 0,
"status": "active",
"title": "How did you hear about Dunder Mifflin?",
"type": "multiple_choice_entry",
"uuid_v7": "019fc7be-e7c8-7c16-9db1-15a980fbf83a"
},
{
"id": 18342,
"form_id": 4130,
"is_form_field": true,
"metadata": {
"element_type": "long_text_entry",
"puck_type": "long_text_entry",
"label": "Anything else?",
"placeholder": "Tell us what we could do better",
"required": false,
"sensitive_info": false,
"is_form_field": true
},
"position": 1,
"status": "active",
"title": "Anything else?",
"type": "long_text_entry",
"uuid_v7": "019fc7be-e7c8-75b6-97f0-7290f7a64697"
}
],
"meta": {
"request_id": "6d3f0b8e-2a75-4c19-a6e4-8b1d5f2c7e03",
"timestamp": "2026-10-07T15:45:57Z"
}
}Response
Success
A form with its completion counts and monthly response volume.
The form's active elements that collect an answer, each with its id, type, title, metadata, position, and status.
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
⌘I
Get form analytics
curl --request GET \
--url https://api.fluid.app/api/forms/{id}/analytics \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/forms/{id}/analytics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/forms/{id}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/forms/{id}/analytics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/forms/{id}/analytics"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/forms/{id}/analytics")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/forms/{id}/analytics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 4130,
"title": "Customer survey - Fall 2026",
"description": "Tell us how your last Dunder Mifflin paper order went.",
"updated_at": "2026-08-03T13:10:05Z",
"status": "active",
"form_type": null,
"form_statistics": {
"total_respondents": 48,
"completed_count": 41,
"incomplete_count": 5,
"completion_rate": 85.42,
"completion_percentage": "85.42%"
},
"monthly_response_analytics": {
"2026": {
"august": 19,
"september": 21,
"october": 8
}
},
"form_elements": [
{
"id": 18341,
"form_id": 4130,
"is_form_field": true,
"metadata": {
"element_type": "multiple_choice_entry",
"puck_type": "multiple_choice_entry",
"label": "How did you hear about Dunder Mifflin?",
"required": false,
"sensitive_info": false,
"is_form_field": true,
"multiple_choice_options": [
{
"label": "Social media"
},
{
"label": "A friend or family member"
},
{
"label": "A rep"
},
{
"label": "Search"
},
{
"label": "An event"
},
{
"label": "Other"
}
]
},
"position": 0,
"status": "active",
"title": "How did you hear about Dunder Mifflin?",
"type": "multiple_choice_entry",
"uuid_v7": "019fc7be-e7c8-7c16-9db1-15a980fbf83a"
},
{
"id": 18342,
"form_id": 4130,
"is_form_field": true,
"metadata": {
"element_type": "long_text_entry",
"puck_type": "long_text_entry",
"label": "Anything else?",
"placeholder": "Tell us what we could do better",
"required": false,
"sensitive_info": false,
"is_form_field": true
},
"position": 1,
"status": "active",
"title": "Anything else?",
"type": "long_text_entry",
"uuid_v7": "019fc7be-e7c8-75b6-97f0-7290f7a64697"
}
],
"meta": {
"request_id": "6d3f0b8e-2a75-4c19-a6e4-8b1d5f2c7e03",
"timestamp": "2026-10-07T15:45:57Z"
}
}